<!doctype html>
<html lang="en">

<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <meta name="description" content="">
  <title>Time tracker · Foundation</title>
  <link rel="stylesheet" href="fontawesome/css/all.css" />
  <link rel="stylesheet" href="dist/css/main.css">
</head>

<body>

  <!-- START Template -->
  <script type="text/template">
    <div class="wrapper">

      <!-- START Sidebar -->
      <div class="sidebar-wrapper">

        <ul class="vertical menu">
          <li class="menu-text">
            <h1 class="h4 margin-bottom-0">Time tracker</h1>
          </li>
          <li class="menu-text">
            {% assign activeUser = users | where: "id", options.activeUser | first %}
            <span class="h5 margin-bottom-0">{{ activeUser.name }}</span>
          </li>
          <li> 
            <a href="index.html">
              <i class="fas fa-tachometer-alt"></i>
              Dashboard
            </a>
          </li>
          <li>
            <a href="time.html">
              <i class="far fa-clock"></i>
              Time tracking
            </a>
          </li>
          <li>
            <a href="projects.html">
              <i class="fas fa-project-diagram"></i>
              Projects
            </a>
          </li>
          <li>
            <a href="clients.html">
              <i class="fas fa-star"></i>
              Clients
            </a>
          </li>
          <li class="is-active">
            <a href="teams.html">
              <i class="fas fa-users-cog"></i>
              Teams
            </a>
          </li>
          <li>
            <a href="users.html">
              <i class="fas fa-users"></i>
              Users
            </a>
          </li>
          <li>
            <a href="settings.html">
              <i class="fas fa-cogs"></i>
              Settings
            </a>
          </li>
        </ul>

      </div>
      <!-- END Sidebar-->
  

      <!-- START Main -->
      <div class="main-wrapper">

        <div class="top-bar">
          <div class="top-bar-left">
            <ul class="menu">
              <li>
                <a href="#" class="button secondary" id="js-open-nav">
                  <i class="fas fa-bars"></i>
                  <span>Menu</span>
                </a>
              </li>
            </ul>
          </div>
          <div class="top-bar-right">
            <ul class="menu">
              <li><button type="button" class="button"id="js-logout">Log out</button></li>
            </ul>
          </div>
        </div>
  
        <!-- START Content -->
        <div class="grid-container">

          <div class="flex-container align-middle margin-top-1">
            <h2 class="h2 flex-child-grow">Users</h2>
            <div>
              <a href="../index.html" class="hollow button secondary small">Change framework</a>
              <button class="hollow button secondary small" id="js-load-data">Reset data</button>
            </div>
          </div>

          <h3>All teams</h3>
    
          <div class="grid-x">
            {% for team in teams %}
              {% if team.active == 1 %}
              <div class="cell">
                <div class="callout">
                  <div class="flex-container align-middle">
                    <div class="flex-child-grow">                    
                      <h4 class="h5">{{ team.name }}</h4>
                      <p class="margin-bottom-0">
                        {% for userId in team.users %}
                          {% assign user = users | where: "id", userId %}
                          <span class="label">{{ user.first.username }}</span>
                        {% endfor %}
                      </p>
                    </div>
                    <div>
                      <button type="button" data-delete-team="{{ team.id }}" class="button small alert margin-bottom-0">
                        <i class="fas fa-trash-alt"></i>
                      </button>
                    </div>
                  </div>
                </div>
              </div>
              {% endif %}
            {% endfor %}      
          </div>

          <div>
            <button type="button" class="button" data-open="modal1"><i class="fas fa-plus"></i> Add team</button>
          </div>

          <h3>Inactive teams</h3>
    
          <div class="grid-x">
            {% for team in teams %}
              {% if team.active == 0 %}
              <div class="cell">
                <div class="callout secondary">
                  <div class="flex-container align-middle">
                    <div class="flex-child-grow">                    
                      <h4 class="h5">{{ team.name }}</h4>
                      <p class="margin-bottom-0">
                        {% for userId in team.users %}
                          {% assign user = users | where: "id", userId %}
                          <span class="label">{{ user.first.username }}</span>
                        {% endfor %}
                      </p>
                    </div>
                  </div>
                </div>
              </div>
              {% endif %}
            {% endfor %}      
          </div>

        </div>
        <!-- END Content -->


      </div>
      <!-- END Main -->
  
    </div>
    <!-- END Wrapper -->

    <!-- START Modal -->
    <div class="small reveal" id="modal1" data-reveal data-reset-on-close="true">
      <h3>New team</h3>
      <form id="js-add-team">

        <label>Team name
          <input type="text" placeholder="First name" name="name" required>
        </label>
        <label>Users
          <select name="users" multiple required>
            {% for user in users %}
            <option value="{{ user.id }}">{{ user.username }}</option>
            {% endfor %}
          </select>
        </label>

        <button type="submit" class="button">Add</button>
      </form>

      <button class="close-button" data-close aria-label="Close modal" type="button">
        <span aria-hidden="true">&times;</span>
      </button>
    </div>
    <!-- END Modal -->

  </script>
  <!-- END Template -->

  <div id="render">
  </div>

  <script src="dist/js/app.js"></script>
</body>

</html>